import { useEffect, useState } from 'react';
import useSDK from './useSDK';
import { PassListenable } from '@inkerlabs/sdk';
export default function useContractMetadata() {
    var sdk = useSDK();
    var _a = useState(undefined), metadata = _a[0], setMetadata = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    if (!sdk) {
        return [metadata, 'Sdk not initialized'];
    }
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, PassListenable.CONTRACT_METADATA);
        }
        id = sdk.listen(PassListenable.CONTRACT_METADATA, function (err, _metadata) {
            setError(err);
            setMetadata(_metadata);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, PassListenable.CONTRACT_METADATA);
            }
        };
    }, []);
    return [metadata, error];
}
