/// <reference types="react" />
import provider from './provider';
import _useContractData from './useContractData';
import _useContractMetadata from './useContractMetadata';
import _useNFTs from './useNFTs';
import _useError from './useError';
import _useBuyPrivate from './useBuyPrivate';
import _useBuyPublic from './useBuyPublic';
import _useWhiteListTickets from './useWhiteListTickets';
import _useConfig from './useConfig';
import _useInit from './useInit';
import _useAccount from './useAccount';
import { NFTs as _NFTs, AssetMetadata as _AssetMetadata, WhiteListTicket as _WhiteListTicket, SimultaneousRevealContractData as _SimultaneousRevealContractData } from '@inkerlabs/sdk';
export declare const SimultaneousRevealContext: import("react").Context<import("./context").ISRContext>;
export declare const SimultaneousRevealProvider: typeof provider;
export declare const useError: typeof _useError;
export declare const useContractData: typeof _useContractData;
export declare const useContractMetadata: typeof _useContractMetadata;
export declare const useNFTs: typeof _useNFTs;
export declare const useBuyPrivate: typeof _useBuyPrivate;
export declare const useBuyPublic: typeof _useBuyPublic;
export declare const useWhiteListTickets: typeof _useWhiteListTickets;
export declare const useConfig: typeof _useConfig;
export declare const useInit: typeof _useInit;
export declare const useAccount: typeof _useAccount;
export declare type SimultaneousRevealContractData = _SimultaneousRevealContractData;
export declare type NFTs = _NFTs;
export declare type AssetMetadata = _AssetMetadata;
export declare type WhiteListTicket = _WhiteListTicket;
